--
-- PostgreSQL database dump
--

-- Dumped from database version 10.6
-- Dumped by pg_dump version 10.6

-- Started on 2019-01-14 10:42:08

SET statement_timeout = 0;
SET lock_timeout = 0;
SET idle_in_transaction_session_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SELECT pg_catalog.set_config('search_path', '', false);
SET check_function_bodies = false;
SET client_min_messages = warning;
SET row_security = off;

--
-- TOC entry 1 (class 3079 OID 12924)
-- Name: plpgsql; Type: EXTENSION; Schema: -; Owner: 
--

CREATE EXTENSION IF NOT EXISTS plpgsql WITH SCHEMA pg_catalog;


--
-- TOC entry 2881 (class 0 OID 0)
-- Dependencies: 1
-- Name: EXTENSION plpgsql; Type: COMMENT; Schema: -; Owner: 
--

COMMENT ON EXTENSION plpgsql IS 'PL/pgSQL procedural language';


SET default_tablespace = '';

SET default_with_oids = false;

--
-- TOC entry 196 (class 1259 OID 16498)
-- Name: Customer; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public."Customer" (
    "BusinessId" character varying(45) NOT NULL,
    "Name" character varying(45) NOT NULL,
    "Email" character varying(45) NOT NULL,
    "PhoneNumber" character varying(45)
);


ALTER TABLE public."Customer" OWNER TO postgres;

--
-- TOC entry 203 (class 1259 OID 16552)
-- Name: Department; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public."Department" (
    "DepartmentNumber" character varying(5) NOT NULL,
    "DepartmentName" character varying(45) NOT NULL
);


ALTER TABLE public."Department" OWNER TO postgres;

--
-- TOC entry 202 (class 1259 OID 16541)
-- Name: PortfolioManager; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public."PortfolioManager" (
    "PortfolioManagerId" integer NOT NULL,
    "Email" character varying(45) NOT NULL,
    "FirstName" character varying(45) NOT NULL,
    "LastName" character varying(45) NOT NULL,
    "PhoneNumber" character varying(45)
);


ALTER TABLE public."PortfolioManager" OWNER TO postgres;

--
-- TOC entry 201 (class 1259 OID 16539)
-- Name: PortfolioManager_PortfolioManagerId_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE public."PortfolioManager_PortfolioManagerId_seq"
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public."PortfolioManager_PortfolioManagerId_seq" OWNER TO postgres;

--
-- TOC entry 2882 (class 0 OID 0)
-- Dependencies: 201
-- Name: PortfolioManager_PortfolioManagerId_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE public."PortfolioManager_PortfolioManagerId_seq" OWNED BY public."PortfolioManager"."PortfolioManagerId";


--
-- TOC entry 197 (class 1259 OID 16503)
-- Name: Reference; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public."Reference" (
    "ProjectId" character varying(45) NOT NULL,
    "BusinessId_Customer" character varying(45),
    "PortfolioManagerId_PortfolioManager" integer,
    "DepartmentNumber_Department" character varying(5),
    "Name" character varying(45) NOT NULL,
    "ProjectManager" character varying(45) NOT NULL,
    "StartDate" date NOT NULL,
    "EndDate" date,
    "Htp" bigint NOT NULL,
    "Price" bigint NOT NULL,
    "Permission" character varying(10) NOT NULL,
    "Description" text NOT NULL,
    "Approved" boolean NOT NULL
);


ALTER TABLE public."Reference" OWNER TO postgres;

--
-- TOC entry 199 (class 1259 OID 16518)
-- Name: Tag; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public."Tag" (
    "TagId" integer NOT NULL,
    "Name" character varying(45) NOT NULL
);


ALTER TABLE public."Tag" OWNER TO postgres;

--
-- TOC entry 198 (class 1259 OID 16516)
-- Name: Tag_TagId_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE public."Tag_TagId_seq"
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public."Tag_TagId_seq" OWNER TO postgres;

--
-- TOC entry 2883 (class 0 OID 0)
-- Dependencies: 198
-- Name: Tag_TagId_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE public."Tag_TagId_seq" OWNED BY public."Tag"."TagId";


--
-- TOC entry 205 (class 1259 OID 16564)
-- Name: User; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public."User" (
    "UserId" integer NOT NULL,
    "UserName" character varying(45) NOT NULL,
    "Password" character varying(255) NOT NULL,
    "FirstName" character varying(45) NOT NULL,
    "LastName" character varying(45) NOT NULL,
    "DepartmentNumber_Department" character varying(5),
    "UserGroupId_UserGroup" integer
);


ALTER TABLE public."User" OWNER TO postgres;

--
-- TOC entry 207 (class 1259 OID 16577)
-- Name: UserGroup; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public."UserGroup" (
    "UserGroupId" integer NOT NULL,
    "Group" character varying(45)
);


ALTER TABLE public."UserGroup" OWNER TO postgres;

--
-- TOC entry 206 (class 1259 OID 16575)
-- Name: UserGroups_UserGroupId_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE public."UserGroups_UserGroupId_seq"
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public."UserGroups_UserGroupId_seq" OWNER TO postgres;

--
-- TOC entry 2884 (class 0 OID 0)
-- Dependencies: 206
-- Name: UserGroups_UserGroupId_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE public."UserGroups_UserGroupId_seq" OWNED BY public."UserGroup"."UserGroupId";


--
-- TOC entry 204 (class 1259 OID 16562)
-- Name: User_UserId_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE public."User_UserId_seq"
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public."User_UserId_seq" OWNER TO postgres;

--
-- TOC entry 2885 (class 0 OID 0)
-- Dependencies: 204
-- Name: User_UserId_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE public."User_UserId_seq" OWNED BY public."User"."UserId";


--
-- TOC entry 200 (class 1259 OID 16524)
-- Name: many_Reference_has_many_Tag; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public."many_Reference_has_many_Tag" (
    "ProjectId_Reference" character varying(45) NOT NULL,
    "TagId_Tag" integer NOT NULL
);


ALTER TABLE public."many_Reference_has_many_Tag" OWNER TO postgres;

--
-- TOC entry 208 (class 1259 OID 16588)
-- Name: many_User_has_many_Reference; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public."many_User_has_many_Reference" (
    "UserId_User" integer NOT NULL,
    "ProjectId_Reference" character varying(45) NOT NULL
);


ALTER TABLE public."many_User_has_many_Reference" OWNER TO postgres;

--
-- TOC entry 2710 (class 2604 OID 16544)
-- Name: PortfolioManager PortfolioManagerId; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public."PortfolioManager" ALTER COLUMN "PortfolioManagerId" SET DEFAULT nextval('public."PortfolioManager_PortfolioManagerId_seq"'::regclass);


--
-- TOC entry 2709 (class 2604 OID 16521)
-- Name: Tag TagId; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public."Tag" ALTER COLUMN "TagId" SET DEFAULT nextval('public."Tag_TagId_seq"'::regclass);


--
-- TOC entry 2711 (class 2604 OID 16567)
-- Name: User UserId; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public."User" ALTER COLUMN "UserId" SET DEFAULT nextval('public."User_UserId_seq"'::regclass);


--
-- TOC entry 2712 (class 2604 OID 16580)
-- Name: UserGroup UserGroupId; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public."UserGroup" ALTER COLUMN "UserGroupId" SET DEFAULT nextval('public."UserGroups_UserGroupId_seq"'::regclass);


--
-- TOC entry 2861 (class 0 OID 16498)
-- Dependencies: 196
-- Data for Name: Customer; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY public."Customer" ("BusinessId", "Name", "Email", "PhoneNumber") FROM stdin;
1	d3f9e8dd71115d6724376a71b5f203ad	5b94938db31af34c68554b2dfebe0ef2	a6ce332745a3ab0c3a9ede0d96d53612
2	dcb4e588e47dc72d16a7443d67c0ef8e	302fff53b142dd62035a9beb9661e4c7	c855a59af37baa0caba6f569452c14fb
3	b27d475364c3fb18473abb909600a042	90c171ac5be4a8648a42263547bf9567	10d71b381c79635a43aea83ef17210d5
4	354e17a117739c60235b9b8758d33ca3	fcebf5050796bc0aadf2001eb5d63002	d3a856af199bbe574624d48dd2283558
5	3ac55cc55723692eafd1b7e196d9d90b	b11a14ac32c158ad41eac4beb1be0eca	57a06daa0ef0ab4bd8fe2d2b7b4b9740
6	2f94fb3be0e284ae64e9fd7f08961209	79a1297673aa71ddc8d15dfbf74cd118	9f0c37016d0f190ada176121c80a2e1d
7	b1339fa30a896d4e8075926f77d46fde	7153165cb51e7dcc87c4e901b66e9272	af087928f510d64e5e0eded08636e174
8	a00df22c36c55e28293128148c6c7338	028473cd3e8964431ec231bb7e2b7670	2d5bae2e5a8a438a06baac4000d0c8da
9	197c16adda341954784cc464865636ef	7f6e29304f1a6980edf85de74c22609f	49fa2f2d0f1582f47385c2c0f37a64c7
10	6f339e74533984c6cab54aacf78fc331	58155aaffc80d4ff4b700a8544f9f700	db789665c29bab0c3428f8d9619a1089
\.


--
-- TOC entry 2868 (class 0 OID 16552)
-- Dependencies: 203
-- Data for Name: Department; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY public."Department" ("DepartmentNumber", "DepartmentName") FROM stdin;
A1234	jokumesta
1	17c9d350cb0e7aad61fc6bfaae6762ed
2	a0e0e07773124b91f44998ed1d1d3479
3	65a34951526a1be22697cafa6eae5691
4	64c1720f7faf217a3863445d66e6bdef
5	68019e8cabbc09d97d2b6b74e2cebfef
6	370ff54186cb90a6aa01bfacaf78e977
7	4d07a39173a5e1a660d78bfc5e8b20bb
8	b5578ca9cf16b8d4d1b04b049b6e1470
9	02b6f7eb2b660c7a728f6acd6f488559
10	675740a1e3daa863453e9cf66d8a04e5
\.


--
-- TOC entry 2867 (class 0 OID 16541)
-- Dependencies: 202
-- Data for Name: PortfolioManager; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY public."PortfolioManager" ("PortfolioManagerId", "Email", "FirstName", "LastName", "PhoneNumber") FROM stdin;
1	b446b4ceeefb5928cedf797f1bb2f46c	1e18b9dd94063702997c31ceb75567f3	34fdf7130ce1b5c865f7ae635cd32233	7dc232bc1ab976ec7305d658d7380dd6
2	06b36923d0320ac2fe5081faef6ad526	21655d5185fca7c420ce6c4207dc307d	a99949ebb9eec4086a51f252831c664e	d7f8ae119a353dc644b7071231586aa3
3	1a4ff8b51e1b956feb283d8bec3991d9	e018443789fe9b067c9cf4ab1c650c37	2cd9901522f78503b04cb668734312fe	9952387a3d58834e35722a142101d922
4	9fe41d9d5d8f58fb1ab291d699705a49	dc167c0732da6aa894c9a1ba3b412b8a	2b07600ea20519e85740ac1a144af7bd	145e284a7556d11d44e7ed1cfe20f1a1
5	3e2cb67d98aade049dc9863319c866e9	213e0675cc24eca01f20baa533c9d2f0	9f5c522b222ce67ba456fc3ab5cdf354	85ffe4ab1cd7c312695373b51f1fe657
6	ce220ae3c05ef17170b7652ef4e8866e	6d3adbc9c38fcfeb2300c448456072ef	7e25462edd263ab4b825e64581f8f524	0b275d7600047b7d2d3506c248cc299b
7	941abd24b531b9bc1a1839224349b0dd	daf4a7c4aaa790a08ca92aec83f868ac	2e4d9cd3f9a613b0d4928fbcb600daf4	6cab8f4a0808b8a4bc7e7349e7c0c976
8	47ae05451efc07bb1cb6c8da2d7cd75c	ec6e34db358aa92ad5c7a71854309ed2	3aba5aff64f623144c3542171bc92a03	1fdfb448fda02bb87534a27c95a0db4a
9	f2baa0818ed54c00095c41c9d671ce64	86833fae4c3534ba9de9f5d2a1790717	417a311166b4ceccd672bfbc7bf87efc	d152d85b2b1b31db3b5586fcba19c9c3
10	369c286b760e313f6c9bb72a3348014c	04d1e5580d25dbdee971290f28d53992	240dcce7010cb58e4d51918ee52a2111	083f57dc6e68f0b9b497a7663f7a97b5
\.


--
-- TOC entry 2862 (class 0 OID 16503)
-- Dependencies: 197
-- Data for Name: Reference; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY public."Reference" ("ProjectId", "BusinessId_Customer", "PortfolioManagerId_PortfolioManager", "DepartmentNumber_Department", "Name", "ProjectManager", "StartDate", "EndDate", "Htp", "Price", "Permission", "Description", "Approved") FROM stdin;
1	1	1	1	38a61bca81aea132cf899f200224372e	742bc0fbefb4b30ff4471e8b9e17fd4b	1973-01-14	1970-01-14	22	6555	G1234	ed24ac9ead8394a0481525d9760df872	t
2	2	2	2	435087baa25e5bc4bf6aa6083fab055a	bd4c2065b42e16e0481df040c053acf7	1969-01-14	1969-01-14	96	704	R5433	1aa86ebc95286d87a6a3a82ffd145e32	t
3	3	3	3	4dbf9f9aed43cf1b1d79fe6a35899267	a77be2afa9a7b14dc157a049a3224572	1953-01-14	2000-01-14	27	3128	J7654	352df7b629766f70af855aed9aeb7696	t
4	4	4	4	c812970ad25ff81c6ba9f795b22e8b48	6711fecba82049cb983731a2b192e6c1	1968-01-14	1920-01-14	12	8216	V45674	b00caea61d4c47da2f03c6db400583dd	f
5	5	5	5	0501fc4066e65fec4cb53017d48c883d	d48ae82430f14145662911147708a935	1931-01-14	2016-01-14	61	7014	O7654	8b12439c16fd3cf238116ce3d6159bc7	t
6	6	6	6	def1cc1d343f1ad5326792e0a77b9781	63b24c9b8dc0babca4b157f988fa27a5	1961-01-14	2007-01-14	33	7934	Y6543	3ae0921d09515933964afca6dac76e0b	t
7	7	7	7	b680f75aa1752ee7e0519dbc5d90deba	a67a3f63068c010aaf25b1254bbcecd9	1990-01-14	1977-01-14	33	2539	I8765	ca00bb860296d39f67cfe5b6b841da0a	t
8	8	8	8	8d49cab8a0ade4918e0294417b14e60f	69eaecf743b36b147a4ae65ab2834b4e	1976-01-14	1966-01-14	49	7300	P9876	5c86486a6b7b1556a60fecbf7f55c3c0	f
9	9	9	9	68dc4a1a20cb79520b910ba36c235382	6d39f303b62d1b16f8829518c3f7d657	1951-01-14	2002-01-14	63	7957	B54545	3b5b13a89d0391dabb26af1c91876213	t
10	10	10	10	4882087ce7c89f78ae8233030ceb0752	c7c3a789c835e2a444fcff469df2e6d9	2002-01-14	1971-01-14	57	8106	M7655	74811dedcac6f27f62f7c4b85ddfa5b6	f
\.


--
-- TOC entry 2864 (class 0 OID 16518)
-- Dependencies: 199
-- Data for Name: Tag; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY public."Tag" ("TagId", "Name") FROM stdin;
1	ec4d8d195d67973e20272a4ad87374ae
2	18aa2a026d00262342f65b2dbca97b28
3	607c36d7a8e09ca558fe5282cea43ce2
4	96a97c86ef37ec29a8e5762d4c010261
5	887a106b4963cbc803b52733b685d267
6	114a4901a78733b41fe33175c104467f
7	9b8166204c7e5c543a4389a1a533e9be
8	256d6f25ad6bd125dd9352e3c8baea8d
9	394a370e214fc987c04015139767021d
10	c5c82e2877870c6a53439f77869713b4
\.


--
-- TOC entry 2870 (class 0 OID 16564)
-- Dependencies: 205
-- Data for Name: User; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY public."User" ("UserId", "UserName", "Password", "FirstName", "LastName", "DepartmentNumber_Department", "UserGroupId_UserGroup") FROM stdin;
1	18615cb682c2b235847d2353c2991ff8	ff5e8da38899a0926968f1fc4873183a	ab44726bfb520e04079dbf891d9d2acc	235bc0eb61f0bcb9e58de681b0d238a4	1	1
2	76b3e03bccd83fb187db7610be26c5ee	7b7d34cba7edc414f8dea087dbd186b1	d1eb3595cf0301aaacbfa9b56240d41b	3d296999ea8281b7045fe1c152aafc4e	2	2
3	54a2fd67d66ff590a5424ea42cd7617e	6acf58e22b0f8cc56f59deb6a428fcc2	ddeca32137ef618a18be373c9e4c1090	85f458d2619082708060ab326f749a7b	3	3
4	4ca0229063c25a2bf6e43e032fd56025	e5234808b4b8cfb43f7bd1adb16f224b	ac59d2fe39a60e682555581674cd0a1d	cd5486990bf52d6f2a1064da9ddab1c6	4	\N
5	58aaca78f78dddf57e727b7ef379d0a9	9793c65d83237397c7f95431326e52d0	5bc2817edfca420bc8cffdcf5bf347c0	d7f8ad30b724e58d8f34df7d6bf69af8	5	\N
6	ec1b0e56a349638ed5176f2627297edf	a7e418fd80671532220f3f96dcbd291c	564398d92060673b43a079f70d8edc04	9edf65be98e97bb81d386172781e0e60	6	\N
7	a6873fe3057521a315d0f94d7b620d23	9415113bf884a1ecd327261e41112b27	a2cb8e74e3ffc0c862b75a2501b52ad9	4731383d18222620d9b3925610105aeb	7	\N
8	41be435724eac797893015cf327cd08d	9816935e7655c1d27131c43abf171c07	bfc478c186bbd7dc932aa1946b1dcf40	8ddd978f407a0d3d5a091c458ce0cf20	8	\N
9	195e4dbea09fd2532d8a907e96cb8a44	1801ce57ace80a07538eed2999104961	d4a79fce5b5c7660f8eaf68b8f46ce80	4be25cb8cd91f7466b950d99cf8f89a5	9	\N
10	316a3a9b6639461f8432ff1c92e16890	48e9800ef5e64cd32937a81a468b46a7	8fc90f93646d1db98fcfcca9a811acc4	a00458fe3d7b0d6e7315b94d198d1695	10	\N
\.


--
-- TOC entry 2872 (class 0 OID 16577)
-- Dependencies: 207
-- Data for Name: UserGroup; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY public."UserGroup" ("UserGroupId", "Group") FROM stdin;
0	testgroup
1	12937ee5e91b43273ee53151a89b133b
2	3ed4bc26e97c9d9838483579a9cd1d7d
3	36e4341e405b23f6df98a2a2ce760577
\.


--
-- TOC entry 2865 (class 0 OID 16524)
-- Dependencies: 200
-- Data for Name: many_Reference_has_many_Tag; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY public."many_Reference_has_many_Tag" ("ProjectId_Reference", "TagId_Tag") FROM stdin;
1	1
2	2
3	3
4	4
5	5
6	6
7	7
8	8
9	9
10	10
1	6
2	7
3	8
4	9
5	10
3	2
4	3
5	4
6	5
7	6
\.


--
-- TOC entry 2873 (class 0 OID 16588)
-- Dependencies: 208
-- Data for Name: many_User_has_many_Reference; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY public."many_User_has_many_Reference" ("UserId_User", "ProjectId_Reference") FROM stdin;
1	6
2	7
3	8
4	9
5	10
3	2
4	3
5	4
6	5
7	6
8	7
8	5
9	6
10	7
\.


--
-- TOC entry 2886 (class 0 OID 0)
-- Dependencies: 201
-- Name: PortfolioManager_PortfolioManagerId_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('public."PortfolioManager_PortfolioManagerId_seq"', 1, false);


--
-- TOC entry 2887 (class 0 OID 0)
-- Dependencies: 198
-- Name: Tag_TagId_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('public."Tag_TagId_seq"', 1, false);


--
-- TOC entry 2888 (class 0 OID 0)
-- Dependencies: 206
-- Name: UserGroups_UserGroupId_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('public."UserGroups_UserGroupId_seq"', 1, false);


--
-- TOC entry 2889 (class 0 OID 0)
-- Dependencies: 204
-- Name: User_UserId_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('public."User_UserId_seq"', 1, false);


--
-- TOC entry 2714 (class 2606 OID 16502)
-- Name: Customer Customer_pk; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public."Customer"
    ADD CONSTRAINT "Customer_pk" PRIMARY KEY ("BusinessId");


--
-- TOC entry 2724 (class 2606 OID 16556)
-- Name: Department Department_pk; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public."Department"
    ADD CONSTRAINT "Department_pk" PRIMARY KEY ("DepartmentNumber");


--
-- TOC entry 2722 (class 2606 OID 16546)
-- Name: PortfolioManager PortfolioManager_pk; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public."PortfolioManager"
    ADD CONSTRAINT "PortfolioManager_pk" PRIMARY KEY ("PortfolioManagerId");


--
-- TOC entry 2716 (class 2606 OID 16510)
-- Name: Reference Reference_pk; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public."Reference"
    ADD CONSTRAINT "Reference_pk" PRIMARY KEY ("ProjectId");


--
-- TOC entry 2718 (class 2606 OID 16523)
-- Name: Tag Tag_pk; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public."Tag"
    ADD CONSTRAINT "Tag_pk" PRIMARY KEY ("TagId");


--
-- TOC entry 2728 (class 2606 OID 16582)
-- Name: UserGroup UserGroups_pk; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public."UserGroup"
    ADD CONSTRAINT "UserGroups_pk" PRIMARY KEY ("UserGroupId");


--
-- TOC entry 2726 (class 2606 OID 16569)
-- Name: User User_pk; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public."User"
    ADD CONSTRAINT "User_pk" PRIMARY KEY ("UserId");


--
-- TOC entry 2720 (class 2606 OID 16528)
-- Name: many_Reference_has_many_Tag many_Reference_has_many_Tag_pk; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public."many_Reference_has_many_Tag"
    ADD CONSTRAINT "many_Reference_has_many_Tag_pk" PRIMARY KEY ("ProjectId_Reference", "TagId_Tag");


--
-- TOC entry 2730 (class 2606 OID 16592)
-- Name: many_User_has_many_Reference many_User_has_many_Reference_pk; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public."many_User_has_many_Reference"
    ADD CONSTRAINT "many_User_has_many_Reference_pk" PRIMARY KEY ("UserId_User", "ProjectId_Reference");


--
-- TOC entry 2731 (class 2606 OID 16511)
-- Name: Reference Customer_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public."Reference"
    ADD CONSTRAINT "Customer_fk" FOREIGN KEY ("BusinessId_Customer") REFERENCES public."Customer"("BusinessId") MATCH FULL ON UPDATE CASCADE ON DELETE SET NULL;


--
-- TOC entry 2733 (class 2606 OID 16557)
-- Name: Reference Department_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public."Reference"
    ADD CONSTRAINT "Department_fk" FOREIGN KEY ("DepartmentNumber_Department") REFERENCES public."Department"("DepartmentNumber") MATCH FULL ON UPDATE CASCADE ON DELETE SET NULL;


--
-- TOC entry 2736 (class 2606 OID 16570)
-- Name: User Department_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public."User"
    ADD CONSTRAINT "Department_fk" FOREIGN KEY ("DepartmentNumber_Department") REFERENCES public."Department"("DepartmentNumber") MATCH FULL ON UPDATE CASCADE ON DELETE SET NULL;


--
-- TOC entry 2732 (class 2606 OID 16547)
-- Name: Reference PortfolioManager_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public."Reference"
    ADD CONSTRAINT "PortfolioManager_fk" FOREIGN KEY ("PortfolioManagerId_PortfolioManager") REFERENCES public."PortfolioManager"("PortfolioManagerId") MATCH FULL ON UPDATE CASCADE ON DELETE SET NULL;


--
-- TOC entry 2734 (class 2606 OID 16529)
-- Name: many_Reference_has_many_Tag Reference_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public."many_Reference_has_many_Tag"
    ADD CONSTRAINT "Reference_fk" FOREIGN KEY ("ProjectId_Reference") REFERENCES public."Reference"("ProjectId") MATCH FULL ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- TOC entry 2739 (class 2606 OID 16598)
-- Name: many_User_has_many_Reference Reference_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public."many_User_has_many_Reference"
    ADD CONSTRAINT "Reference_fk" FOREIGN KEY ("ProjectId_Reference") REFERENCES public."Reference"("ProjectId") MATCH FULL ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- TOC entry 2735 (class 2606 OID 16534)
-- Name: many_Reference_has_many_Tag Tag_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public."many_Reference_has_many_Tag"
    ADD CONSTRAINT "Tag_fk" FOREIGN KEY ("TagId_Tag") REFERENCES public."Tag"("TagId") MATCH FULL ON UPDATE CASCADE ON DELETE RESTRICT;


--
-- TOC entry 2737 (class 2606 OID 16583)
-- Name: User UserGroups_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public."User"
    ADD CONSTRAINT "UserGroups_fk" FOREIGN KEY ("UserGroupId_UserGroup") REFERENCES public."UserGroup"("UserGroupId") MATCH FULL ON UPDATE CASCADE ON DELETE SET NULL;


--
-- TOC entry 2738 (class 2606 OID 16593)
-- Name: many_User_has_many_Reference User_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public."many_User_has_many_Reference"
    ADD CONSTRAINT "User_fk" FOREIGN KEY ("UserId_User") REFERENCES public."User"("UserId") MATCH FULL ON UPDATE CASCADE ON DELETE RESTRICT;


-- Completed on 2019-01-14 10:42:09

--
-- PostgreSQL database dump complete
--

